Bug 2967 - Add a script to run command against an Xvfb display
: Add a script to run command against an Xvfb display
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xvfb-run)
: unstable
: all Linux
: P4 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-09-11 12:41 by
Modified: 2006-09-27 23:11 (History)


Attachments
My previous attempt on this (4.58 KB, text/plain)
2003-09-11 12:43, Mikhail Zabaluev
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-09-11 12:41:12
There is a need for an X environment for some builds to succeed.
The nature of the X server is irrelevant.
For this, a script could be devised to launch an Xvfb display with as much
safety as possible.
There are two possible modes of operation for such a script.
1. Run a single command under the Xvfb environment, then shutdown the server.
2. Launch an Xvfb server and dump environment variable settings for DISPLAY,
XAUTHORITY and a variable for Xvfb pid or pidfile in form of shell commands on
standard output. Usage for this is similar to that of ssh-agent:
eval `xvfb-start`
# do stuff
... 
xvfb-shutdown  # this could be another script that picks up the variables

start-stop-daemon could be helpful in starting/stopping the Xvfb server reliably.
------- Comment #1 From 2003-09-11 12:43:41 -------
Created an attachment (id=274) [details]
My previous attempt on this

This is a rework of oo-xvfb-run script from Debian.
------- Comment #2 From 2003-09-11 13:51:26 -------
reassign to real mantainer
------- Comment #3 From 2004-03-19 03:02:45 -------
It's packaged long time ago (Feb 06 2003) by Alexander Nikolaev. 
Please check this package (xvfb-run-1.0-alt1). 
------- Comment #4 From 2004-03-19 10:48:21 -------
xvfb-run works, thanks everyone involved.
------- Comment #5 From 2006-09-27 22:31:14 -------
So fixed? (btw, xvfb-run-1.2-alt2 now => seems maintained)
------- Comment #6 From 2006-09-27 23:11:21 -------
(In reply to comment #5)
> So fixed?
I think so.